Page MenuHomePhabricator

Migrate current special-page selenium tests to cucumber
Closed, DeclinedPublic

Description

Use cucumber for special-page tests.

Details

Reference
bz53846

Event Timeline

bzimport raised the priority of this task from to Low.
bzimport set Reference to bz53846.
bzimport added a subscriber: Unknown Object (MLST).

Change 121390 had a related patch set uploaded by Tobias Gritschacher:
Add Cucumber test for Special:SetLabel

https://gerrit.wikimedia.org/r/121390

Change 121393 had a related patch set uploaded by Tobias Gritschacher:
Cucumber tests for Special:SetSiteLink

https://gerrit.wikimedia.org/r/121393

Change 121390 merged by jenkins-bot:
Add Cucumber test for Special:SetLabel

https://gerrit.wikimedia.org/r/121390

What's still missing to close this bug?

Tests for Special:SetLabel are done. The rest is still open.

We should probably break this item down.

Change 121393 abandoned by Aude:
Cucumber tests for Special:SetSiteLink

Reason:
now to submit on github

https://gerrit.wikimedia.org/r/121393

Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Lydia_Pintscher removed a subscriber: Unknown Object (MLST).
Tobi_WMDE_SW updated the task description. (Show Details)Feb 4 2015, 2:58 PM
Tobi_WMDE_SW set Security to None.
Tobi_WMDE_SW added a subscriber: WMDE-Fisch.
Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Mar 16 2015, 10:12 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 13 2015, 4:12 PM
Addshore closed this task as Declined.Fri, Jun 14, 2:45 PM
Addshore added a subscriber: Addshore.

We dont want to target cucumber any more.